<?php
/***************************************************************************
 *						admin_uninstall.php
 *						-------------------
 * begin				: Thursday, November 11, 2003
 * copyright			: (C) (C) 2003 Przemo http://www.przemo.org
 * email				: przemo@przemo.org
 * date modification	: ver. 1.8 2004/05/30 21:50
 *
 * $Id: admin_uninstall.php,v 1.8.9 2004/05/30 21:50
 ***************************************************************************/

/***************************************************************************
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', 1);

if( !empty($setmodules) )
{
	$file = basename(__FILE__);
	$module['SQL']['Uninstall18'] = $file;
	return;
}

// Load default header
$phpbb_root_path = './../';
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);
include($phpbb_root_path . 'includes/functions_admin.'.$phpEx);
include($phpbb_root_path . 'includes/functions_selects.'.$phpEx);

if( strstr($board_config['main_admin_id'], ',') )
{
	$fids = explode(',', $board_config['main_admin_id']);
	while( list($foo, $id) = each($fids) )
	{
		$fid[] = intval( trim($id) );
	}
}
else
{
	$fid[] = intval( trim($board_config['main_admin_id']) );
}
reset($fid);
if ( in_array($userdata['user_id'], $fid) == false )
{
	$message = sprintf($lang['SQL_Admin_No_Access'], '<a href="' . append_sid("admin_no_access.$phpEx") . '">', '</a>');
	message_die(GENERAL_MESSAGE, $message);
}


$template->set_filenames(array(
	'body' => 'admin/uninstall.tpl')
);

$mode = $HTTP_POST_VARS['mode'];
if ( $mode != 'uninstall' || $mode != 'check' )
{
	$template->assign_vars(array(
		'TITLE' => $lang['Uninstall18'],
		'EXPLANATION' => $lang['uninstall_explain'],
		'ACTION' => '<td class="row1" align="center"><br /><form action="' . append_sid("admin_uninstall.$phpEx") . '" method="post"><input type="hidden" name="mode" value="check"><input type="submit" name="submit" class="mainoption" value="' . $lang['Uninstall'] . '" /></form></td>')
	);
}

if ( $mode == 'check' )
{
	$template->assign_vars(array(
		'UNINSTALL' => $lang['Uninstall'],
		'TITLE' => $lang['Uninstall18'],
		'EXPLANATION' => $lang['uninstall_explain'],
		'ACTION' => '<td class="row1" align="center"><br /><span class="nav">' . $lang['confirm_uninstall'] . '</span><br /><br /><form action="' . append_sid("admin_uninstall.$phpEx") . '" method="post"><input type="hidden" name="mode" value="uninstall"><input type="submit" name="cancel" value="' . $lang['No'] . '" class="mainoption" />&nbsp;&nbsp;<input type="submit" name="confirm" class="liteoption" value="' . $lang['Yes'] . '" /></form></td>')
	);
}

if ( $mode == 'uninstall' )
{
	if (isset($HTTP_POST_VARS['confirm']))
	{
		$sql=array(
			"DROP TABLE " . $table_prefix . "album",
			"DROP TABLE " . $table_prefix . "album_rate",
			"DROP TABLE " . $table_prefix . "album_comment",
			"DROP TABLE " . $table_prefix . "album_cat",
			"DROP TABLE " . $table_prefix . "album_config",
			"DROP TABLE " . $table_prefix . "attachments",
			"DROP TABLE " . $table_prefix . "attachments_config",
			"DROP TABLE " . $table_prefix . "attachments_desc",
			"DROP TABLE " . $table_prefix . "anti_robotic_reg",
			"DROP TABLE " . $table_prefix . "attach_quota",
			"DROP TABLE " . $table_prefix . "birthday",
			"DROP TABLE " . $table_prefix . "chatbox",
			"DROP TABLE " . $table_prefix . "chatbox_session",
			"DROP TABLE " . $table_prefix . "extensions",
			"DROP TABLE " . $table_prefix . "extension_groups",
			"DROP TABLE " . $table_prefix . "forbidden_extensions",
			"DROP TABLE " . $table_prefix . "ignores",
			"DROP TABLE " . $table_prefix . "jr_admin_users",
			"DROP TABLE " . $table_prefix . "logs",
			"DROP TABLE " . $table_prefix . "pa_cat",
			"DROP TABLE " . $table_prefix . "pa_comments",
			"DROP TABLE " . $table_prefix . "pa_custom",
			"DROP TABLE " . $table_prefix . "pa_customdata",
			"DROP TABLE " . $table_prefix . "pa_files",
			"DROP TABLE " . $table_prefix . "pa_license",
			"DROP TABLE " . $table_prefix . "pa_settings",
			"DROP TABLE " . $table_prefix . "pa_votes",
			"DROP TABLE " . $table_prefix . "portal_config",
			"DROP TABLE " . $table_prefix . "quota_limits",
			"DROP TABLE " . $table_prefix . "read_history",
			"DROP TABLE " . $table_prefix . "stats_config",
			"DROP TABLE " . $table_prefix . "stats_modules",
			"DROP TABLE " . $table_prefix . "topic_view",
			"DROP TABLE " . $table_prefix . "shoutbox",
			"DROP TABLE " . $table_prefix . "shoutbox_config",
			"DROP TABLE " . $table_prefix . "topics_ignore",
			"DROP TABLE " . $table_prefix . "users_warnings",
			"ALTER TABLE " . $table_prefix . "auth_access DROP auth_download",
			"ALTER TABLE " . $table_prefix . "auth_access DROP auth_globalannounce",
			"ALTER TABLE " . $table_prefix . "banlist DROP ban_time",
			"ALTER TABLE " . $table_prefix . "banlist DROP ban_expire_time",
			"ALTER TABLE " . $table_prefix . "banlist DROP ban_by_userid",
			"ALTER TABLE " . $table_prefix . "banlist DROP ban_by",
			"ALTER TABLE " . $table_prefix . "banlist DROP ban_priv_reason",
			"ALTER TABLE " . $table_prefix . "banlist DROP ban_pub_reason_mode",
			"ALTER TABLE " . $table_prefix . "banlist DROP ban_pub_reason",
			"ALTER TABLE " . $table_prefix . "banlist DROP ban_reason",
			"ALTER TABLE " . $table_prefix . "categories DROP cat_main_type",
			"ALTER TABLE " . $table_prefix . "categories DROP cat_main, DROP cat_desc",
			"ALTER TABLE " . $table_prefix . "forums DROP auth_download",
			"ALTER TABLE " . $table_prefix . "forums DROP password",
			"ALTER TABLE " . $table_prefix . "forums DROP auth_globalannounce",
			"ALTER TABLE " . $table_prefix . "forums DROP forum_sort",
			"ALTER TABLE " . $table_prefix . "forums DROP forum_color",
			"ALTER TABLE " . $table_prefix . "forums DROP forum_link",
			"ALTER TABLE " . $table_prefix . "forums DROP forum_link_internal",
			"ALTER TABLE " . $table_prefix . "forums DROP forum_link_hit_count",
			"ALTER TABLE " . $table_prefix . "forums DROP forum_link_hit",
			"ALTER TABLE " . $table_prefix . "forums DROP main_type",
			"ALTER TABLE " . $table_prefix . "groups DROP group_order",
			"ALTER TABLE " . $table_prefix . "groups DROP group_count",
			"ALTER TABLE " . $table_prefix . "groups DROP group_count_enable",
			"ALTER TABLE " . $table_prefix . "posts DROP post_attachment",
			"ALTER TABLE " . $table_prefix . "posts DROP user_agent",
			"ALTER TABLE " . $table_prefix . "posts DROP post_icon",
			"ALTER TABLE " . $table_prefix . "posts DROP post_expire",
			"ALTER TABLE " . $table_prefix . "posts DROP reporter_id",
			"ALTER TABLE " . $table_prefix . "privmsgs DROP privmsgs_attachment",
			"ALTER TABLE " . $table_prefix . "ranks DROP rank_group",
			"ALTER TABLE " . $table_prefix . "topics DROP topic_attachment",
			"ALTER TABLE " . $table_prefix . "topics DROP topic_icon",
			"ALTER TABLE " . $table_prefix . "topics DROP topic_expire",
			"ALTER TABLE " . $table_prefix . "topics DROP topic_color",
			"ALTER TABLE " . $table_prefix . "users DROP user_posts_per_page",
			"ALTER TABLE " . $table_prefix . "users DROP user_topics_per_page",
			"ALTER TABLE " . $table_prefix . "users DROP user_hot_threshold",
			"ALTER TABLE " . $table_prefix . "users DROP user_birthday",
			"ALTER TABLE " . $table_prefix . "users DROP user_next_birthday_greeting",
			"ALTER TABLE " . $table_prefix . "users DROP user_custom_rank",
			"ALTER TABLE " . $table_prefix . "users DROP user_photo",
			"ALTER TABLE " . $table_prefix . "users DROP user_photo_type",
			"ALTER TABLE " . $table_prefix . "users DROP user_custom_color",
			"ALTER TABLE " . $table_prefix . "users DROP user_showavatars",
			"ALTER TABLE " . $table_prefix . "users DROP page_avatar",
			"ALTER TABLE " . $table_prefix . "users DROP user_traffic",
			"ALTER TABLE " . $table_prefix . "users DROP user_allowsig",
			"ALTER TABLE " . $table_prefix . "users DROP user_badlogin",
			"ALTER TABLE " . $table_prefix . "users DROP user_blocktime",
			"ALTER TABLE " . $table_prefix . "users DROP user_block_by",
			"ALTER TABLE " . $table_prefix . "users DROP disallow_forums",
			"ALTER TABLE " . $table_prefix . "users DROP can_custom_ranks",
			"ALTER TABLE " . $table_prefix . "users DROP can_custom_color",
			"ALTER TABLE " . $table_prefix . "users DROP user_sig_image",
			"ALTER TABLE " . $table_prefix . "users DROP user_allow_signature",
			"ALTER TABLE " . $table_prefix . "users DROP user_allow_sig_image",
			"ALTER TABLE " . $table_prefix . "users DROP user_gender",
			"ALTER TABLE " . $table_prefix . "users DROP user_sub_forum",
			"ALTER TABLE " . $table_prefix . "users DROP user_split_cat",
			"ALTER TABLE " . $table_prefix . "users DROP user_last_topic_title",
			"ALTER TABLE " . $table_prefix . "users DROP user_sub_level_links",
			"ALTER TABLE " . $table_prefix . "users DROP user_display_viewonline",
			"ALTER TABLE " . $table_prefix . "users DROP view_ignore_topics",
			"ALTER TABLE " . $table_prefix . "users DROP can_topic_color",
			"ALTER TABLE " . $table_prefix . "users DROP user_notify_gg",
			"ALTER TABLE " . $table_prefix . "users DROP allowpm",
			"ALTER TABLE " . $table_prefix . "users DROP no_report_popup",
			"ALTER TABLE " . $table_prefix . "users DROP refresh_report_popup",
			"ALTER TABLE " . $table_prefix . "users DROP no_report_mail",
			"ALTER TABLE " . $table_prefix . "users DROP user_avatar_width",
			"ALTER TABLE " . $table_prefix . "users DROP user_avatar_height",
			"ALTER TABLE " . $table_prefix . "vote_voters DROP vote_cast",
			"ALTER TABLE " . $table_prefix . "vote_desc DROP vote_max",
			"ALTER TABLE " . $table_prefix . "vote_desc DROP vote_voted",
			"ALTER TABLE " . $table_prefix . "vote_desc DROP vote_hide",
			"ALTER TABLE " . $table_prefix . "vote_desc DROP vote_tothide",

			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'quick_stats_a'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'allow_avatar'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'allow_photo_remote'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'allow_photo_upload'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'photo_filesize'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'photo_max_height'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'photo_max_width'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'photo_path'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'allow_custom_rank'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'birthday_greeting'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'max_user_age'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'min_user_age'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'birthday_check_day'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cload'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cchat'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cstat'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cregist'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cstyles'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'ccount'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cchat2'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cbirth'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cpost'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'ctop'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cfriend'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cage'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cjoin'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cfrom'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cposts'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'clevell'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cleveld'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cglow'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cfreak'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cignore'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cquick'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cgg'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'csearch'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cicq'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cllogin'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'clevelp'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cyahoo'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cmsn'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cjob'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cinter'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cemail'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'csign'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cbbcode'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'chtml'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'csmiles'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cpppage'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'clang'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'ctimezone'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cdatefor'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cbstyle'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'refresh'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'meta_keywords'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'meta_description'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cavatar'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'clog'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cagent'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'login_require'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'crestrict'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'validate'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'button_b'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'button_i'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'button_u'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'button_q'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'button_c'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'button_l'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'button_im'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'button_ur'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'button_ce'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'button_f'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'button_s'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'button_hi'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'color_box'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'size_box'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'glow_box'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'freak'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'allow_bbcode_quest'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'google'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'sql'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'cregist_b'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'no_post_count_forum_id'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'allow_custom_color'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'custom_color_view'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'custom_color_use'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'post_icon'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'auto_date'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'newest'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'download'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'ipview'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'show_badwords'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'album_gallery'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'address_whois'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'u_o_t_d'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'group_rank_hack_version'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'expire'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'expire_value'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'numer_gg'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'haslo_gg'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'block_time'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'max_login_error'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'min_password_len'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'force_complex_password'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'password_not_login'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'del_user_notify'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'require_aim'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'require_website'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'require_location'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'post_footer'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'graphic'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'max_sig_custom_rank'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'max_sig_location'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'custom_color_mod'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'custom_rank_mod'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'allow_sig_image'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'sig_images_path'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'sig_image_filesize'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'sig_image_max_width'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'sig_image_max_height'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'hide_viewed_admin'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'hide_edited_admin'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'who_viewed'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'who_viewed_admin'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'edit_time'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'read_tracking'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'sort_methods'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'gender'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'require_gender'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'main_admin_id'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'day_to_prune'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'banner_top'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'banner_top_enable'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'banner_bottom'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'banner_bottom_enable'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'header_enable'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'not_edit_admin'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'staff_forums'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'staff_enable'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'smilies_columns'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'smilies_rows'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'smilies_w_columns'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'generate_time'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'name_color'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'desc_color'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'mod_nick_color'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'warnings_enable'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'mod_warnings'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'mod_edit_warnings'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'mod_value_warning'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'write_warnings'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'ban_warnings'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'expire_warnings'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'warnings_mods_public'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'board_msg_enable'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'board_msg'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'width_forum'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'width_table'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'width_color1'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'width_color2'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'table_border'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'rebuild_search'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'generate_time_admin'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'redirect_after_registering'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'redirect_address'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'r_a_r_time'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'show_rules'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'visitors'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'email_return_path'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'email_from'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'poster_posts'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'sub_forum'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'sub_forum_over'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'split_cat'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'split_cat_over'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'last_topic_title'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'last_topic_title_over'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'last_topic_title_length'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'sub_level_links'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'sub_level_links_over'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'display_viewonline'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'display_viewonline_over'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'ignore_topics'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'topic_color'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'topic_color_all'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'topic_color_mod'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'jump_value_arr'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'allow_sig_image_img'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'last_dtable_notify'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'report_no_guestes'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'report_no_auth_users'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'report_no_auth_groups'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'report_disabled_users'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'report_disabled_groups'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'report_only_admin'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'report_popup_height'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'report_popup_width'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'report_popup_links_target'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'report_post_hack_version'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'report_disable'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'last_visitors_time'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'max_sig_chars_admin'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'max_sig_chars_mod'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'viewonline'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'edit_post_date'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'restrict_smilies'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'topic_preview'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'not_anonymous_posting'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'not_anonymous_quickreply'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'max_smilies'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'portal_link'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'search_enable'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'overlib'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'notify_gg'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'admin_notify_gg'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'admin_notify_reply'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'admin_notify_message'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'topic_start_date'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'topic_start_dateformat'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'all_time_ban_check'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'autorepair_tables'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'check_address'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'echange_banner'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'banners_list'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'split_messages'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'split_messages_admin'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'split_messages_mod'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'split_messages_except'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'admin_html'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'jr_admin_html'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'mod_html'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'viewtopic_warnings'",
			"DELETE FROM " . $table_prefix . "config WHERE config_name = 'lastvisit_days'",
			"UPDATE " . $table_prefix . "config SET config_value = '.0.8' WHERE config_name = 'version'"
		);

		$n = 0;
		$message = '';
		while($sql[$n])
		{
			$message .= ($mods[$n-1] != $mods[$n]) ? $mods[$n] : '';
			if ( !$result = $db->sql_query($sql[$n]) )
			{
				$sql_error = $db->sql_error();
				$debug_text = '';
				if ( $sql_error['message'] != '' )
				{
					$debug_text .= 'SQL Error : ' . $sql_error['code'] . ' ' . $sql_error['message'];
				}
				$message .= '<tr><td class="row1" align="left"><span class="gensmall"><b><span style="color: #FF0000">[' . $lang['query_not_executed'] . ']</span></b><font size="1"> line: '.($n+1).' , '.$sql[$n].'</span> <b>( ' . $debug_text . ' )</b></span></td></tr>';
			}
			else
			{
				$message .='<tr><td class="row1" align="left"><span class="gensmall"><b><span style="color: #0000fF">[' . $lang['query_executed'] . ']</span></b><font size="1"> line: '.($n+1).' , '.$sql[$n].'</font></span></td></tr>';
			}
			$n++;
		}
		$template->assign_block_vars('topicrow', array(
			'MESSAGES' => $message)
		);
		$template->assign_vars(array(
			'EXPLANATION' => $lang['uninstall_explain'],
			'ACTION' => '<td class="row3" align="center">' . $lang['uninstall_end'] . '</td>')
		);
	}
}

$template->pparse("body");

include('./page_footer_admin.'.$phpEx);

?>