<?php
/***************************************************************************
 *					gg.php
 *				-------------------
 * begin						: Sroda,15 sierpnia 2002
 * copyright Gadu-Gadu gate		: (C) Piotr Mach pm@gg.wha.la
 * Najnowsza wersja do sciagniecia z:  http://gg.wha.la
 * copyright mod GG				: (C) 2002 Misiek
 * email						: misiu@tuning.pl
 * modification					: (C) 2003 Przemo http://www.przemo.org
 * date modification			: ver. 1.8 2004/04/15 21:00
 *
 * $Id: gg.php,v 1.1973 2004/04/23 17:03:27 the_systech Exp $
 ***************************************************************************/

define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

$profiledata = get_userdata(intval($HTTP_GET_VARS[POST_USERS_URL]));

$userdata = session_pagestart($user_ip, PAGE_PROFILE);
init_userprefs($userdata);

if( !$userdata['session_logged_in'] )
{
	redirect(append_sid("login.$phpEx?redirect=gg.$phpEx&mode=$mode&u=$u", true));
}

require('includes/functions_gg.'.$phpEx);

// Start of program proper
if ( isset($HTTP_GET_VARS['mode']) || isset($HTTP_POST_VARS['mode']) )
{
	$mode = ( isset($HTTP_GET_VARS['mode']) ) ? $HTTP_GET_VARS['mode'] : $HTTP_POST_VARS['mode'];

	if ( $mode == 'gadu' )
	{
		$template->set_filenames(array(
			'body' => 'gg.tpl')
		);
		make_jumpbox('viewforum.'.$phpEx);

		$numer_gg = intval($profiledata['user_aim']);
		$statystyka = '<img src="http://www.gadu-gadu.pl/users/status.asp?id=' . $profiledata['user_aim'] . '&styl=1" alt="' . $lang['AIM'] . '" title="' . $lang['AIM'] . '" width="16" height="16" border="0" />';

		// Generate page
		$page_title = 'Bramka Gadu-gadu';
		include($phpbb_root_path . 'includes/page_header.'.$phpEx);

		$template->assign_vars(array(
			'SITENAME' => txt::odlinkuj($board_config['sitename']),
			'USERNAME' => $profiledata['username'],
			'USERNAME2' => $userdata['username'],
			'GG' => $numer_gg,
			'GG_BRAMKA' => ($userdata['user_aim']) ? '' . $lang['AIM'] . ': ' . $userdata['user_aim'] . '' : '',
			'STAT' => $statystyka,
			'L_VIEWING_PROFILE' => sprintf($lang['Viewing_user_profile'], $profiledata['username']), 
			'L_GG' => sprintf($lang['GG'], $profiledata['username']),
			'L_STAT_GG' => $lang['STAT_GG'],
			'L_GG_MES' => $lang['gg_mes'],
			'L_AIM' => $lang['AIM'],
			'L_BRAMKA_GG' => $lang['bramka_gg'],
			'U_SEARCH_USER' => append_sid("search.$phpEx?search_author=" . urlencode($profiledata['username'])),
			'GG_ACTION' => append_sid("gg.$phpEx"),
			'S_PROFILE_ACTION' => append_sid("profile.$phpEx"))
		);

		$template->pparse('body');

		include($phpbb_root_path . 'includes/page_tail.'.$phpEx);
	}

	if ( $HTTP_POST_VARS['mode'] == 'post' )
	{
		$numer_bramki = $board_config['numer_gg'];
		$haslo_bramki = $board_config['haslo_gg'];

		$tresc = $HTTP_POST_VARS['tresc'];
		$adresat = intval($HTTP_POST_VARS['adresat']);

		// SPRAWDZANIE DANYCH WEJSCIOWYCH
		if ( empty($numer_bramki) || empty($haslo_bramki) )	message_die(GENERAL_ERROR, $lang['not_gg_account']);
		if ( empty($adresat) )								message_die(GENERAL_ERROR, $lang['not_gg_addresat']);
		if ( !is_numeric($adresat) )						message_die(GENERAL_ERROR, $lang['wrong_gg_addresat']);
		if ( strlen($tresc) < 3 )							message_die(GENERAL_ERROR, $lang['not_gg_msg']);

		// Usuniecie dodatkowych \ przy wczonym magic_quotes w php.ini
		if ( get_magic_quotes_gpc() ) $tresc = stripslashes($tresc);
		if ( strlen($tresc ) > 1800) message_die(GENERAL_ERROR, $lang['gg_too_long']);

		error_reporting(E_ALL ^ E_NOTICE); // jakby bylo za duzo bdw zmien na E_NONE ;)

		$tablica_komunikatow = array (
		      0x0002 => $lang['GG_send'],
		      0x0003 => $lang['GG_wait'],
		      0x0004 => $lang['GG_full'],
		      0 => $lang['GG_not_send']
		);

	    $gg = new www2gg ($numer_bramki, $haslo_bramki);

		$separator = "gg_entergg_enter_________________gg_enterWiadomo wysana z forum: " . $board_config['sitename'] . "gg_enterhttp://" . $board_config['server_name'].$board_config['script_path'] . "gg_enterOd uytkownika: " . $userdata['username'] . " Numer GG: " . $userdata['user_aim'] . "gg_enterNie odpisuj tutaj !";
		$tresc = $tresc.$separator;

		if ($seq = $gg->wiadomosc ($adresat, $tresc)) 
		{
		    /* statusu dostarczenia wiadomoci */
			message_die(GENERAL_MESSAGE, $tablica_komunikatow[$gg->status_dostarczenia ($seq)]);
		}
		else
		{
			message_die(GENERAL_MESSAGE, $gg->error);
		}
	}
}
else
{
	redirect(append_sid("index.$phpEx", true));
}

?>