<?php
/***************************************************************************
 *                              page_tail.php
 *                            -------------------
 *   begin                : Saturday, Feb 13, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *   modification         : (C) 2003 Przemo http://www.przemo.org
 *   date modification    : ver. 1.7 2003/05/14 15:50
 *
 *   $Id: page_tail.php,v 1.27.2.1 2002/05/12 00:47:41 psotfx Exp $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

if ( !defined('IN_PHPBB') )
{
	die('Hacking attempt');
}

//
// Show the overall footer.
//

$banner_bottom = ($board_config['banner_bottom_enable']) ? $board_config['banner_bottom'] : ''; $bo = ( $userdata['user_level'] == ADMIN || is_jr_admin($userdata['user_id'])) ? '<a href="admin/index.' . $phpEx . '?sid=' . $userdata['session_id'] . '">' . $lang['Admin_panel'] . '</a><br /><br /><br />' : '';

if ( $portal_page && $custom_footer )
{
	$banner_bottom = $custom_footer;
}

$template->set_filenames(array(
	'overall_footer' => ( empty($gen_simple_header) ) ? 'overall_footer.tpl' : 'simple_footer.tpl')
);

if ( $board_config['generate_time'] )
{
	if ( !$board_config['generate_time_admin'] || ($board_config['generate_time_admin'] && $userdata['user_level'] == ADMIN) )
	{
		$end_gen = utime();
		$run_gen = $end_gen - $start_gen;
		$generated_time = substr($run_gen, 0, 4);
		if ( $generated_time > 361 )
		{
			$generated_time = '0.01';
		}
		$lang_sec = ($generated_time <= 2) ? $lang['second'] : $lang['seconds'];
		$generate_time = '<table align="right"><td align="right"><span class="gensmall">' . $lang['generate_time'] . ' ' . $generated_time . ' ' . $lang_sec . '. ' . $lang['generate_queries'] . ': ' . $db->num_queries . '</span></td></table>';
	}
	else
	{
		$generate_time = '';
	}
}
else
{
	$generate_time = '';
}

$template->assign_vars(array(
	'LOADING_FOOTER' => ($board_config['cload']) ? "<script language=\"JavaScript\">\n<!--\nhideLoadingPage();\n//-->\n</script>" : '',
	'CLICK_HERE_TO_VIEW' => $bo,
	'BANNER_BOTTOM' => $banner_bottom,
	'GENERATE_TIME' => $generate_time,
	'TRANSLATION_INFO' => (isset($lang['TRANSLATION_INFO'])) ? $lang['TRANSLATION_INFO'] : '') );

$template->pparse('overall_footer');

//
// Close our DB connection.
//
$db->sql_close();

//
// Compress buffered output if required and send to browser
//
if ( $do_gzip_compress )
{
	//
	// Borrowed from php.net!
	//
	$gzip_contents = ob_get_contents();
	ob_end_clean();

	$gzip_size = strlen($gzip_contents);
	$gzip_crc = crc32($gzip_contents);

	$gzip_contents = gzcompress($gzip_contents, 9);
	$gzip_contents = substr($gzip_contents, 0, strlen($gzip_contents) - 4);

	echo "\x1f\x8b\x08\x00\x00\x00\x00\x00";
	echo $gzip_contents;
	echo pack('V', $gzip_crc);
	echo pack('V', $gzip_size);
}

exit;

?>