<?php
/***************************************************************************
 *				shoutbox_send.php
 *				-------------------
 *   begin		: Friday, Jul 12, 2003
 *   copyright	: (C) 2003 Przemo ( http://www.przemo.org )
 *   email		: przemo@przemo.org
 *   version	: 1.5
 *
 ***************************************************************************/

define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);
$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);

if ( $board_config['login_require'] && !$userdata['session_logged_in'] )
{
	$message = $lang['login_require'] . '<br /><br />' . sprintf($lang['login_require_register'], '<a href="' . append_sid("profile.$phpEx?mode=register") . '">', '</a>');
	message_die(GENERAL_MESSAGE, $message);
}

$hide_txt = "<a href=\"shoutbox_send.$phpEx?mode=hide&sid=" . $userdata['session_id'] . "\">" . $lang['sb_hide'] . "</a>";

if ( $HTTP_GET_VARS['mode'] == "hide" )
{
	if ($HTTP_GET_VARS['sid'] != $userdata['session_id'])
	{
		message_die(GENERAL_ERROR, 'Invalid_session');
	}

	@setcookie('shoutbox',off , (time()+3600*9000), $board_config['cookie_path'], $board_config['cookie_domain'], $board_config['cookie_secure']);
	$hide_txt = $lang['sb_hide_done'];
}

$template->set_filenames(array(
	'body' => 'shoutbox_send_body.tpl')
);

$template->assign_vars(array(
	'S_CONTENT_ENCODING' => $lang['ENCODING'],
	'L_SEND' => $lang['Submit'],
	'L_GG_MES' => $lang['gg_mes'],
	'NICK' => $userdata['username'],
	'MAXLENGHT' => $shoutbox_config['text_lenght'],
	'SB_USER_ID' => $userdata['user_id'],
	'SB_HIDE' => $hide_txt,
	'S_ACTION' => append_sid("shoutbox_view.$phpEx"),
	'REFRESH' => $lang['refresh'],
	'SHOUTBOX_ACTION' => append_sid('shoutbox_view.'.$phpEx))
);

$template->pparse('body');
?>