<?php
/***************************************************************************
 *						admin_mysql.php
 *						-------------------
 * begin				: Thursday, Jul 12, 2001
 * copyright			: (C) 2003 Przemo http://www.przemo.org
 * email				: przemo@przemo.org
 *
 * $Id: admin_mysql.php,v 1.8.9 2004/05/30 21:50
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', true);

if( !empty($setmodules) )
{
	$filename = basename(__FILE__);
	$module['SQL']['MySQL'] = $filename;
	return;
}

//
// Let's set the root dir for phpBB
//
$phpbb_root_path = '../';
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);

if ( isset($HTTP_GET_VARS['mode']) || isset($HTTP_POST_VARS['mode']) )
{
	$mode = ( isset($HTTP_GET_VARS['mode']) ) ? $HTTP_GET_VARS['mode'] : $HTTP_POST_VARS['mode'];
}
if ( isset($HTTP_GET_VARS['delete_all']) || isset($HTTP_POST_VARS['delete_all']) )
{
	$delete_all = ( isset($HTTP_GET_VARS['delete_all']) ) ? $HTTP_GET_VARS['delete_all'] : $HTTP_POST_VARS['delete_all'];
}
if ( isset($HTTP_GET_VARS['column_select_1']) || isset($HTTP_POST_VARS['column_select_1']) )
{
	$column_select_1 = ( isset($HTTP_GET_VARS['column_select_1']) ) ? $HTTP_GET_VARS['column_select_1'] : $HTTP_POST_VARS['column_select_1'];
}
if ( isset($HTTP_GET_VARS['column_select_2']) || isset($HTTP_POST_VARS['column_select_2']) )
{
	$column_select_2 = ( isset($HTTP_GET_VARS['column_select_2']) ) ? $HTTP_GET_VARS['column_select_2'] : $HTTP_POST_VARS['column_select_2'];
}
if ( isset($HTTP_GET_VARS['param_1']) || isset($HTTP_POST_VARS['param_1']) )
{
	$param_1 = ( isset($HTTP_GET_VARS['param_1']) ) ? $HTTP_GET_VARS['param_1'] : $HTTP_POST_VARS['param_1'];
}
if ( isset($HTTP_GET_VARS['param_2']) || isset($HTTP_POST_VARS['param_2']) )
{
	$param_2 = ( isset($HTTP_GET_VARS['param_2']) ) ? $HTTP_GET_VARS['param_2'] : $HTTP_POST_VARS['param_2'];
}
if ( isset($HTTP_GET_VARS['znak_select']) || isset($HTTP_POST_VARS['znak_select']) )
{
	$znak_select = ( isset($HTTP_GET_VARS['znak_select']) ) ? $HTTP_GET_VARS['znak_select'] : $HTTP_POST_VARS['znak_select'];
}
if ( isset($HTTP_GET_VARS['query1']) || isset($HTTP_POST_VARS['query1']) )
{
	$query1 = ( isset($HTTP_GET_VARS['query1']) ) ? $HTTP_GET_VARS['query1'] : $HTTP_POST_VARS['query1'];
}
if ( isset($HTTP_GET_VARS['zw1']) || isset($HTTP_POST_VARS['zw1']) )
{
	$zw1 = ( isset($HTTP_GET_VARS['zw1']) ) ? $HTTP_GET_VARS['zw1'] : $HTTP_POST_VARS['zw1'];
}
if ( isset($HTTP_GET_VARS['zw2']) || isset($HTTP_POST_VARS['zw2']) )
{
	$zw2 = ( isset($HTTP_GET_VARS['zw2']) ) ? $HTTP_GET_VARS['zw2'] : $HTTP_POST_VARS['zw2'];
}
if ( isset($HTTP_GET_VARS['zw3']) || isset($HTTP_POST_VARS['zw3']) )
{
	$zw3 = ( isset($HTTP_GET_VARS['zw3']) ) ? $HTTP_GET_VARS['zw3'] : $HTTP_POST_VARS['zw3'];
}
if ( isset($HTTP_GET_VARS['zw4']) || isset($HTTP_POST_VARS['zw4']) )
{
	$zw4 = ( isset($HTTP_GET_VARS['zw4']) ) ? $HTTP_GET_VARS['zw4'] : $HTTP_POST_VARS['zw4'];
}
if ( isset($HTTP_GET_VARS['zw5']) || isset($HTTP_POST_VARS['zw5']) )
{
	$zw5 = ( isset($HTTP_GET_VARS['zw5']) ) ? $HTTP_GET_VARS['zw5'] : $HTTP_POST_VARS['zw5'];
}
if ( isset($HTTP_GET_VARS['zw6']) || isset($HTTP_POST_VARS['zw6']) )
{
	$zw6 = ( isset($HTTP_GET_VARS['zw6']) ) ? $HTTP_GET_VARS['zw6'] : $HTTP_POST_VARS['zw6'];
}
if ( isset($HTTP_GET_VARS['zw7']) || isset($HTTP_POST_VARS['zw7']) )
{
	$zw7 = ( isset($HTTP_GET_VARS['zw7']) ) ? $HTTP_GET_VARS['zw7'] : $HTTP_POST_VARS['zw7'];
}
if ( isset($HTTP_GET_VARS['zw8']) || isset($HTTP_POST_VARS['zw8']) )
{
	$zw8 = ( isset($HTTP_GET_VARS['zw8']) ) ? $HTTP_GET_VARS['zw8'] : $HTTP_POST_VARS['zw8'];
}

if( strstr($board_config['main_admin_id'], ',') )
{
	$fids = explode(',', $board_config['main_admin_id']);
	while( list($foo, $id) = each($fids) )
	{
		$fid[] = intval( trim($id) );
	}
}
else
{
	$fid[] = intval( trim($board_config['main_admin_id']) );
}
reset($fid);

if ( in_array($userdata['user_id'], $fid) == false )
{
	$message = sprintf($lang['SQL_Admin_No_Access'], '<a href="' . append_sid("admin_no_access.$phpEx") . '">', '</a>');
	message_die(GENERAL_MESSAGE, $message);
}

if ( $mode != '' || $delete_all != '' || $custom != '' )
{
	if ( $mode == $lang['execute'] )
	{
		if ( $param_2 != '' && $column_select_2 == '' )
		{
			$message = sprintf($lang['value_not'], $param_2, '<a href="' . append_sid("admin_mysql.$phpEx") . '">', '</a>');
			message_die(GENERAL_MESSAGE, $message, '', __LINE__, __FILE__, $sql);
		}
		if ( $param_2 == '' && $column_select_2 != '' )
		{
			$message = sprintf($lang['value_not'], $column_select_2, '<a href="' . append_sid("admin_mysql.$phpEx") . '">', '</a>');
			message_die(GENERAL_MESSAGE, $message, '', __LINE__, __FILE__, $sql);
		}

		$sql_query = 'UPDATE';
		$query2 = 'SET';
		$query3 = $column_select_1;
		$znak = '=';

		if ( $column_select_2 != '' && $param_2 != '' )
		{
			$query4 = "WHERE $column_select_2 $znak_select '$param_2'";
		}
	}

	if ( $mode == $lang['Delete'] ) // :D
	{
		if ( !$column_select_2 || !$param_2 )
		{
			$message = $lang['confirm_clear'] . '<br /><br /><form action="admin_mysql.'.$phpEx.'" method="post"><input type="hidden" name="del_all" value="' . $query1 . '"><input type="submit" class="liteoption" name="delete_all" value="' . $lang['Yes'] . '">&nbsp;<input type="submit" class="mainoption" value="' . $lang['No'] . '"></form>';
			message_die(GENERAL_MESSAGE, $message, '', __LINE__, __FILE__, $sql);
		}
		else
		{
			$sql_query = 'DELETE FROM';

			if ( $column_select_2 != '' && $param_2 != '' )
			{
				$query4 = "WHERE $column_select_2 $znak_select '$param_2'";
			}

		}
	}

	if ( $delete_all == $lang['Yes'] )
	{
		$sql_query = 'DELETE FROM';
		$query1 = $del_all;
	}

	if ( $custom == $lang['execute'] )
	{
		$table_prefix = '';
	}

	$param_1 = str_replace("\'", "'", $param_1);
	$param_1 = str_replace('\"', '"', $param_1);
	$param_1 = str_replace('\\\\', '\\', $param_1);
	if ( $param_1 )
	{
		$param_1 = "'" . $param_1 . "'";
	}

	$sql = "$sql_query " . $table_prefix . "$query1 $query2 $query3 $znak $param_1 $query4";

	$result = $db->sql_query($sql);
	$count_query = $db->sql_affectedrows();

	if( !$result )
	{
		$message = sprintf($lang['cannot_execute'], $sql, '<a href="' . append_sid("admin_mysql.$phpEx") . '">', '</a>');
		message_die(GENERAL_ERROR, $message, '', __LINE__, __FILE__, $sql);
	}
	else
	{		
		$message = sprintf($lang['execute_done'], $count_query, $sql.$lines, '<a href="' . append_sid("admin_mysql.$phpEx") . '">', '</a>');
		message_die(GENERAL_MESSAGE, $message, '', __LINE__, __FILE__, $sql);
	}
}

$template->set_filenames(array(
	'body' => 'admin/admin_mysql_body.tpl')
);

$template->assign_vars(array(
	'CANCEL' => $lang['Delete'],
	'USERS_TABLE' => $lang['users_table'],
	'TOPICS_TABLE' => $lang['topics_table'],
	'POSTS_TABLE' => $lang['posts_table'],
	'FORUMS_TABLE' => $lang['forums_table'],
	'OWN_QUERY' => $lang['own_query'],
	'DELETING' => $lang['Delete'],
	'COLUMN_IN_TABLE' => $lang['column_in_table'],
	'OPTIONAL' => $lang['optional'],
	'NEW_VALUE' => $lang['new_value'],
	'W_USER_LEVEL' => $lang['where_user_level'],
	'W_FORUM_ID' => $lang['where_forum_id'],
	'W_TOPIC_ID' => $lang['where_topic_id'],
	'W_FORUM_STATUS' => $lang['where_forum_status'],
	'W_USER_POSTS' => $lang['where_user_posts'],
	'EXECUTE' => $lang['execute'],
	'TABLE' => $lang['Optimize_Table'],
	'COLUMN_IN_TABLE' => $lang['column_in_table'],
	'DELETE_FROM_TABLE' => $lang['delete_from_table'],
	'MYSQL_E' => $lang['mysql_e'],
	'MYSQL_ACTION' => append_sid("admin_mysql.$phpEx"))
); 


$template->pparse('body');

include('./page_footer_admin.'.$phpEx);

?>