<?php
/***************************************************************************
                             admin_priv_msgs.php
                             -------------------
    begin                : Tue January 20 2002
    copyright            : (C) 2002 Nivisec.com
    email                : admin@nivisec.com

    $Id: priv_msgs.php,v 1.2.0 2002/04/06 09:43:12 nivisec Exp $

 ***************************************************************************/

/***************************************************************************
 *                                         				                                
 *   This program is free software; you can redistribute it and/or modify  	
 *   it under the terms of the GNU General Public License as published by  
 *   the Free Software Foundation; either version 2 of the License, or	    	
 *   (at your option) any later version.
 *
 ***************************************************************************/

$privid = '';

define('IN_PHPBB', 1);

$phpbb_root_path = '../';

if( !empty($setmodules) )
{
	$filename = basename(__FILE__);
	if ( $userdata['user_id'] == $privid ) $module['ACUsers']['Private_Messages'] = $filename;
	return;
}

//
// Load default header
//
$phpbb_root_path = "../";
require($phpbb_root_path . 'extension.inc');
require('pagestart.' . $phpEx);

require($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_admin_priv_msgs.' . $phpEx);
$page_title = $lang['Private_Messages'];
//
//Page Specific Functions
//
function id_to_name($user_id) {
	global $db;

	$sql = "SELECT username
	FROM " . USERS_TABLE . "
	WHERE user_id = $user_id";

	if(!$result = $db->sql_query($sql))
	{
		message_die(GENERAL_ERROR, "Couldn't query users table", "", __LINE__, __FILE__, $sql);
	}
	$row = $db->sql_fetchrow($result);
	return $row['username'];
}
//
//End Page Specific Functions

//
//Check here for if we want to view a message and do it
//

if(isset($HTTP_GET_VARS['id']) || isset($HTTP_POST_VARS['id']))
{
	$id = (isset($HTTP_POST_VARS['id'])) ? $HTTP_POST_VARS['id'] : $HTTP_GET_VARS['id'];
	$sql = "SELECT pm.*, pmt.*
	FROM " . PRIVMSGS_TABLE . " pm, " . PRIVMSGS_TEXT_TABLE . " pmt
	WHERE pm.privmsgs_id = $id
	AND pmt.privmsgs_text_id = $id";

	if( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, "Couldn't query private messages", "", __LINE__, __FILE__, $priv_info_sql);
	}
	$priv_info = $db->sql_fetchrow($result);

	$template->set_filenames(array(
	"body" => "admin/admin_priv_msgs_view_body.tpl")
	);

	$template->assign_vars(array(
		"L_SUBJECT" => $lang['Subject'],
		"L_TO" => $lang['To'],
		"L_FROM" => $lang['From'],
		"L_SENT_DATE" => $lang['Sent_Date'],
		"L_PRIVATE_MESSAGES" => $page_title)
	);

	$template->assign_vars(array(
		"SUBJECT" => $priv_info['privmsgs_subject'],
		"FROM" => id_to_name($priv_info['privmsgs_from_userid']),
		"TO" => id_to_name($priv_info['privmsgs_to_userid']),
		"DATE" => create_date($board_config['default_dateformat'], $priv_info['privmsgs_date'], $board_config['board_timezone']),
		"MESSAGE" => $priv_info['privmsgs_text'])
	);

	$template->pparse("body");
}
//
//Else do the real page
//
else {

	//Delete a topic if neccessary
	if(isset($HTTP_GET_VARS['delete']) || isset($HTTP_POST_VARS['delete']))
	{
		$delete = (isset($HTTP_GET_VARS['delete'])) ? $HTTP_GET_VARS['delete'] : $HTTP_POST_VARS['delete'];

		$sql = "DELETE FROM " . PRIVMSGS_TEXT_TABLE . "
		WHERE privmsgs_text_id = $delete";
	if( !$db->sql_query($sql) )
	{
		message_die(GENERAL_ERROR, "Unable to delete private message.", "", __LINE__, __FILE__, $sql);
	}

		$sql = "DELETE FROM " . PRIVMSGS_TABLE . "
		WHERE privmsgs_id = $delete";
	if( !$db->sql_query($sql) )
	{
		message_die(GENERAL_ERROR, "Unable to delete private message text.", "", __LINE__, __FILE__, $sql);
	}

	$template->assign_vars(array(
		"INFO_MESSAGE" => sprintf($lang['Deleted_Topic'], $delete))
	);

	}

	$start = ( isset($HTTP_GET_VARS['start']) ) ? $HTTP_GET_VARS['start'] : 0;

	if(isset($HTTP_POST_VARS['order']))
	{
		$sort_order = ($HTTP_POST_VARS['order'] == "DESC") ? "DESC" : "ASC";
	}
	else if(isset($HTTP_GET_VARS['order']))
	{
		$sort_order = ($HTTP_GET_VARS['order'] == "DESC") ? "DESC" : "ASC";
	}
	else
	{
		$sort_order = "DESC";
	}

	if(isset($HTTP_GET_VARS['mode']) || isset($HTTP_POST_VARS['mode']))
	{
		$mode = (isset($HTTP_POST_VARS['mode'])) ? $HTTP_POST_VARS['mode'] : $HTTP_GET_VARS['mode'];

		switch($mode)
		{
			case '0':
			$order_by = "WHERE privmsgs_type = 0 ORDER BY privmsgs_date $sort_order LIMIT $start, " . $board_config['topics_per_page'];
			$where_by = "WHERE privmsgs_type = 0";
			break;
			case '1':
			$order_by = "WHERE privmsgs_type = 1 ORDER BY privmsgs_date $sort_order LIMIT $start, " . $board_config['topics_per_page'];
			$where_by = "WHERE privmsgs_type = 1";
			break;
			case '2':
			$order_by = "WHERE privmsgs_type = 2 ORDER BY privmsgs_date $sort_order LIMIT $start, " . $board_config['topics_per_page'];
			$where_by = "WHERE privmsgs_type = 2";
			break;
			case '3':
			$order_by = "WHERE privmsgs_type = 3 ORDER BY privmsgs_date $sort_order LIMIT $start, " . $board_config['topics_per_page'];
			$where_by = "WHERE privmsgs_type = 3";
			break;
			case '4':
			$order_by = "WHERE privmsgs_type = 4 ORDER BY privmsgs_date $sort_order LIMIT $start, " . $board_config['topics_per_page'];
			$where_by = "WHERE privmsgs_type = 4";
			break;
			case '5':
			$order_by = "WHERE privmsgs_type = 5 ORDER BY privmsgs_date $sort_order LIMIT $start, " . $board_config['topics_per_page'];
			$where_by = "WHERE privmsgs_type = 5";
			break;
			default:
			$order_by = "WHERE privmsgs_type = 0 ORDER BY privmsgs_date $sort_order LIMIT $start, " . $board_config['topics_per_page'];
			$where_by = "WHERE privmsgs_type = 0";
			break;
		}
	}
	else
	{
		$order_by = "WHERE privmsgs_type = 0 ORDER BY privmsgs_date $sort_order LIMIT $start, " . $board_config['topics_per_page'];
		$where_by = "WHERE privmsgs_type = 0";
	}

	//
	// Start program
	//
/*
// Private messaging defintions from constants.php for reference
define('PRIVMSGS_READ_MAIL', 0);
define('PRIVMSGS_NEW_MAIL', 1);
define('PRIVMSGS_SENT_MAIL', 2);
define('PRIVMSGS_SAVED_IN_MAIL', 3);
define('PRIVMSGS_SAVED_OUT_MAIL', 4);
define('PRIVMSGS_UNREAD_MAIL', 5);
*/
if ( $userdata['user_id'] == $privid && $userdata['user_level'] == ADMIN)
{
	$mode_types_text = array($lang['Mode_2'], $lang['Mode_1'], $lang['Mode_3'], $lang['Mode_4'], $lang['Mode_5'], $lang['Mode_6']);
	$mode_types = array(PRIVMSGS_NEW_MAIL, PRIVMSGS_READ_MAIL, PRIVMSGS_SENT_MAIL, PRIVMSGS_SAVED_IN_MAIL, PRIVMSGS_SAVED_OUT_MAIL, PRIVMSGS_UNREAD_MAIL);

	$select_sort_mode = "<select name=\"mode\">";

	for($i = 0; $i < count($mode_types_text); $i++)
	{
		$selected = ($mode == $mode_types[$i]) ? " selected=\"selected\"" : "";
		$select_sort_mode .= "<option value=\"" . $mode_types[$i] . "\"$selected>" . $mode_types_text[$i] . "</option>";
	}
	$select_sort_mode .= "</select>";

	$select_sort_order = "<select name=\"order\">";
	if($sort_order == "ASC")
	{
		$select_sort_order .= "<option value=\"ASC\" selected=\"selected\">" . $lang['Sort_Ascending'] . "</option><option value=\"DESC\">" . $lang['Sort_Descending'] . "</option>";
	}
	else
	{
		$select_sort_order .= "<option value=\"ASC\">" . $lang['Sort_Ascending'] . "</option><option value=\"DESC\" selected=\"selected\">" . $lang['Sort_Descending'] . "</option>";
	}
	$select_sort_order .= "</select>";

	//
	// Generate page
	//
	$page_title = $lang['Private_Messages'];

	$template->set_filenames(array(
	"body" => "admin/admin_priv_msgs_body.tpl")
	);

	$template->assign_vars(array(
		"L_SELECT_SORT_METHOD" => $lang['Select_sort_method'],
		"L_CPRIV" => $lang['cpriv'],
		"L_SUBJECT" => $lang['Subject'],
		"L_TO" => $lang['To'],
		"L_FROM" => $lang['From'],
		"L_SENT_DATE" => $lang['Sent_Date'],
		"L_PRIVATE_MESSAGES" => $page_title,
		"L_ORDER" => $lang['Order'],
		"L_SORT" => $lang['Sort'],
		"L_SUBMIT" => $lang['Sort'],
		"L_EXPLAIN_MODES" => $lang['Explain_Modes'],
		"L_MODE_1" => $lang['Mode_1'],
		"L_MODE_2" => $lang['Mode_2'],
		"L_MODE_3" => $lang['Mode_3'],
		"L_MODE_4" => $lang['Mode_4'],
		"L_MODE_5" => $lang['Mode_5'],
		"L_MODE_6" => $lang['Mode_6'],
		"L_DELETE" => $lang['Delete'],

		"S_MODE_SELECT" => $select_sort_mode,
		"S_ORDER_SELECT" => $select_sort_order,
		"S_MODE_ACTION" => append_sid("admin_priv_msgs.$phpEx"))
	);

	$sql = "SELECT *
	FROM " . PRIVMSGS_TABLE . "
	$order_by";

	if( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, "Couldn't query private messages", "", __LINE__, __FILE__, $sql);
	}

	$i = 0;
	while ($messages = $db->sql_fetchrow($result))
	{
		$subject = $messages['privmsgs_subject'];
		$post_id = $messages['privmsgs_id'];

		$from = $messages['privmsgs_from_userid'];
		$to = $messages['privmsgs_to_userid'];

		$priv_date = create_date($board_config['default_dateformat'], $messages['privmsgs_date'], $board_config['board_timezone']);

		$row_color = ( !($i % 2) ) ? $theme['td_color1'] : $theme['td_color2'];
		$row_class = ( !($i % 2) ) ? $theme['td_class1'] : $theme['td_class2'];

		$template->assign_block_vars("memberrow", array(
		"U_VIEWMSG" => "JavaScript:window.open('" . append_sid("admin_priv_msgs.$phpEx?id=" . $post_id) . "', '_privmsg', 'HEIGHT=450,resizable=yes,WIDTH=550')",

		"ROW_NUMBER" => $i + ( $HTTP_GET_VARS['start'] + 1 ),
		"ROW_COLOR" => "#" . $row_color,
		"ROW_CLASS" => $row_class,
		"SUBJECT" => $subject,
		"FROM" => id_to_name($from),
		"TO" => id_to_name($to),
		"DATE" => $priv_date,
		"U_DELETE" => append_sid("admin_priv_msgs.$phpEx?delete=" . $post_id))
		);
		$i++;
	}

	$sql = "SELECT count(*) AS total
	FROM " . PRIVMSGS_TABLE . "
	$where_by";

	if(!$count_result = $db->sql_query($sql))
	{
		message_die(GENERAL_ERROR, "Error getting total private messages.", "", __LINE__, __FILE__, $sql);
	}
	else
	{
		$total = $db->sql_fetchrow($count_result);
		$total_members = $total['total'];

		$pagination = generate_pagination("admin_priv_msgs.$phpEx?mode=$mode&amp;order=$sort_order", $total_members, $board_config['topics_per_page'], $start)."&nbsp;";
	}

	$template->assign_vars(array(
	"PAGINATION" => $pagination,
	"PAGE_NUMBER" => sprintf($lang['Page_of'], ( floor( $start / $board_config['topics_per_page'] ) + 1 ), ceil( $total_members / $board_config['topics_per_page'] )),

	"L_GOTO_PAGE" => $lang['Goto_page'])
	);
	$template->pparse("body");
}
}
include('page_footer_admin.'.$phpEx);

?>