<?php
/***************************************************************************
 *						edit_post_date.php
 *						-------------------
 *	begin				: Sunday, December 01, 2002
 *	copyright			: (C) 2002 ErDrRon
 *	email				: ErDrRon@aol.com
 *	modification 		: (C) 2003 Przemo http://www.przemo.org
 *	date modification	: ver. 1.8 2004/05/30 21:50
 *
 *	$Id: edit_post_date.php,v 1.8.9 2004/05/30 21:50
 *
 ***************************************************************************/

/***************************************************************************
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 ***************************************************************************/

define('IN_PHPBB', true);

$phpbb_root_path = '../';

include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

function month_to_int($mon)
{
	$months = array(
		'January' => 1,
		'February' => 2,
		'March' => 3,
		'April' => 4,
		'May' => 5,
		'June' => 6,
		'July' => 7,
		'August' => 8,
		'September' => 9,
		'October' => 10,
		'November' => 11,
		'December' => 12);

	return($months[$mon]);
}

$userdata = session_pagestart($user_ip, PAGE_VIEWMEMBERS);
init_userprefs($userdata);

if ( $userdata['user_level'] != ADMIN || !$board_config['edit_post_date'])
{
	message_die(CRITICAL_ERROR, 'Not authorised');
}

$lang['datetime']['00'] = '00';
$lang['datetime']['01'] = '01';
$lang['datetime']['02'] = '02';
$lang['datetime']['03'] = '03';
$lang['datetime']['04'] = '04';
$lang['datetime']['05'] = '05';
$lang['datetime']['06'] = '06';
$lang['datetime']['07'] = '07';
$lang['datetime']['08'] = '08';
$lang['datetime']['09'] = '09';
$lang['datetime']['10'] = '10';
$lang['datetime']['11'] = '11';
$lang['datetime']['12'] = '12';
$lang['datetime']['13'] = '13';
$lang['datetime']['14'] = '14';
$lang['datetime']['15'] = '15';
$lang['datetime']['16'] = '16';
$lang['datetime']['17'] = '17';
$lang['datetime']['18'] = '18';
$lang['datetime']['19'] = '19';
$lang['datetime']['20'] = '20';
$lang['datetime']['21'] = '21';
$lang['datetime']['22'] = '22';
$lang['datetime']['23'] = '23';
$lang['datetime']['24'] = '24';
$lang['datetime']['25'] = '25';
$lang['datetime']['26'] = '26';
$lang['datetime']['27'] = '27';
$lang['datetime']['28'] = '28';
$lang['datetime']['29'] = '29';
$lang['datetime']['30'] = '30';
$lang['datetime']['31'] = '31';
$lang['datetime']['32'] = '32';
$lang['datetime']['33'] = '33';
$lang['datetime']['34'] = '34';
$lang['datetime']['35'] = '35';
$lang['datetime']['36'] = '36';
$lang['datetime']['37'] = '37';
$lang['datetime']['38'] = '38';
$lang['datetime']['39'] = '39';
$lang['datetime']['40'] = '40';
$lang['datetime']['41'] = '41';
$lang['datetime']['42'] = '42';
$lang['datetime']['43'] = '43';
$lang['datetime']['44'] = '44';
$lang['datetime']['45'] = '45';
$lang['datetime']['46'] = '46';
$lang['datetime']['47'] = '47';
$lang['datetime']['48'] = '48';
$lang['datetime']['49'] = '49';
$lang['datetime']['50'] = '50';
$lang['datetime']['51'] = '51';
$lang['datetime']['52'] = '52';
$lang['datetime']['53'] = '53';
$lang['datetime']['54'] = '54';
$lang['datetime']['55'] = '55';
$lang['datetime']['56'] = '56';
$lang['datetime']['57'] = '57';
$lang['datetime']['58'] = '58';
$lang['datetime']['59'] = '59';
$lang['datetime']['1995'] = '1995';
$lang['datetime']['1996'] = '1996';
$lang['datetime']['1997'] = '1997';
$lang['datetime']['1998'] = '1998';
$lang['datetime']['1999'] = '1999';
$lang['datetime']['2000'] = '2000';
$lang['datetime']['2001'] = '2001';
$lang['datetime']['2002'] = '2002';
$lang['datetime']['2003'] = '2003';
$lang['datetime']['2004'] = '2004';
$lang['datetime']['2005'] = '2005';
$lang['datetime']['2006'] = '2006';
$lang['datetime']['2007'] = '2007';
$lang['datetime']['2008'] = '2008';
$lang['datetime']['2009'] = '2009';
$lang['datetime']['2010'] = '2010';
$lang['datetime']['am'] = 'am';
$lang['datetime']['pm'] = 'pm';

$p = intval($HTTP_GET_VARS['p']);
$edit_year = intval($HTTP_POST_VARS['edit_year']);
$edit_month = $HTTP_POST_VARS['edit_month'];
$edit_day = intval($HTTP_POST_VARS['edit_day']);
$edit_hour = intval($HTTP_POST_VARS['edit_hour']);
$edit_minute = intval($HTTP_POST_VARS['edit_minute']);
$edit_ampm = $HTTP_POST_VARS['edit_ampm'];

$sql = "SELECT post_time, topic_id
	FROM " . POSTS_TABLE . "
	WHERE post_id = $p";

if ( !($result = $db->sql_query($sql)) )
{
	message_die(GENERAL_ERROR, 'Could not query Posts table.', '', __LINE__, __FILE__, $sql);
}

$row = $db->sql_fetchrow($result);
$current_post_date = $row['post_time'];
$topic_id = $row['topic_id'];
$new_post_date = '';

if ( isset($HTTP_POST_VARS['submit']) )
{ 
	if ( checkdate( month_to_int($edit_month), $edit_day, $edit_year) )
	{
		$valid_date = '';
								
		if ( $edit_ampm == 'pm' && $edit_hour < '12')
		{
			$edit_hour += 12;
		}
		if ( $edit_ampm == 'am' && $edit_hour == '12')
		{
			$edit_hour = '00';
		}
			
		$enter_new_post_date = strtotime($edit_day . ' ' . $edit_month . ' ' . $edit_year . ' ' . $edit_hour . ':' . $edit_minute);

		$sql = "UPDATE " . POSTS_TABLE . " SET
			post_time = '" . $enter_new_post_date . "'
			WHERE post_id = $p";

		if ( !$db->sql_query($sql) )
		{
			message_die(GENERAL_ERROR, 'Failed to update Post Date for Post #$p', '', __LINE__, __FILE__, $sql);
		}

		$sql2 = "SELECT topic_first_post_id
			FROM " . TOPICS_TABLE . "
			WHERE topic_id = $topic_id";

		if ( !($result2 = $db->sql_query($sql2)) )
		{
			message_die(GENERAL_ERROR, 'Could not query Topics table.', '', __LINE__, __FILE__, $sql2);
		}

		$row2 = $db->sql_fetchrow($result2);
		if ( $row2['topic_first_post_id'] == $p )
		{
			$sql = "UPDATE " . TOPICS_TABLE . " SET
				topic_time = '" . $enter_new_post_date . "'
				WHERE topic_id = $topic_id";

			if ( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, 'Failed to update Topic Date for Post #$p', '', __LINE__, __FILE__, $sql);
			}
		}

		echo '<script language="JavaScript">';
		echo 'window.close()';
		echo '</script>';
	}
	else
	{
		$valid_date = 'Edit post: invalid date';
	}
}

if ( isset($HTTP_GET_VARS['day']) || isset($HTTP_POST_VARS['day']) )
{
	$day_field = (isset($HTTP_POST_VARS['day'])) ? intval($HTTP_POST_VARS['day']) : intval($HTTP_GET_VARS['day']);
}
else
{
	$day_field = date('d', $row['post_time']);
}

if ( isset($HTTP_GET_VARS['month']) || isset($HTTP_POST_VARS['month']) )
{
	$month_field = (isset($HTTP_POST_VARS['month'])) ? $HTTP_POST_VARS['month'] : $HTTP_GET_VARS['month'];
}
else
{
	$month_field = date('F', $row['post_time']);
}

if ( isset($HTTP_GET_VARS['year']) || isset($HTTP_POST_VARS['year']) )
{
	$year_field = (isset($HTTP_POST_VARS['year'])) ? intval($HTTP_POST_VARS['year']) : intval($HTTP_GET_VARS['year']);
}
else
{
	$year_field = date('Y', $row['post_time']);
}

if ( isset($HTTP_GET_VARS['hour']) || isset($HTTP_POST_VARS['hour']) )
{
	$hour_field = (isset($HTTP_POST_VARS['hour'])) ? intval($HTTP_POST_VARS['hour']) : intval($HTTP_GET_VARS['hour']);
}
else
{
	$hour_field = date('h', $row['post_time']);
}

if ( isset($HTTP_GET_VARS['minute']) || isset($HTTP_POST_VARS['minute']) )
{
	$minute_field = (isset($HTTP_POST_VARS['minute'])) ? intval($HTTP_POST_VARS['minute']) : intval($HTTP_GET_VARS['minute']);
}
else
{
	$minute_field = date('i', $row['post_time']);
}

if ( isset($HTTP_GET_VARS['ampm']) || isset($HTTP_POST_VARS['ampm']) )
{
	$ampm_field = (isset($HTTP_POST_VARS['ampm'])) ? $HTTP_POST_VARS['ampm'] : $HTTP_GET_VARS['ampm'];
}
else
{
	$ampm_field = date('a', $row['post_time']);
}

$month_fields_text = array(
	$lang['datetime']['January'], $lang['datetime']['February'], $lang['datetime']['March'], $lang['datetime']['April'],
	$lang['datetime']['May'], $lang['datetime']['June'], $lang['datetime']['July'], $lang['datetime']['August'],
	$lang['datetime']['September'], $lang['datetime']['October'], $lang['datetime']['November'],
	$lang['datetime']['December']
);

$month_fields = array(
	'January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'
);

$day_fields_text = array(
	$lang['datetime']['01'], $lang['datetime']['02'], $lang['datetime']['03'], $lang['datetime']['04'], $lang['datetime']['05'],
	$lang['datetime']['06'], $lang['datetime']['07'], $lang['datetime']['08'], $lang['datetime']['09'], $lang['datetime']['10'],
	$lang['datetime']['11'], $lang['datetime']['12'], $lang['datetime']['13'], $lang['datetime']['14'], $lang['datetime']['15'],
	$lang['datetime']['16'], $lang['datetime']['17'], $lang['datetime']['18'], $lang['datetime']['19'], $lang['datetime']['20'],
	$lang['datetime']['21'], $lang['datetime']['22'], $lang['datetime']['23'], $lang['datetime']['24'], $lang['datetime']['25'],
	$lang['datetime']['26'], $lang['datetime']['27'], $lang['datetime']['28'], $lang['datetime']['29'], $lang['datetime']['30'],
	$lang['datetime']['31']
);

$day_fields = array(
	'01', '02', '03', '04', '05', '06', '07', '08', '09', '10', '11', '12', '13', '14', '15', '16', '17', '18', '19', '20',
	'21', '22', '23', '24', '25', '26', '27', '28', '29', '30', '31'
);

$year_fields_text = array(
	$lang['datetime']['1995'], $lang['datetime']['1996'], $lang['datetime']['1997'], $lang['datetime']['1998'], $lang['datetime']['1999'],
	$lang['datetime']['2000'], $lang['datetime']['2001'], $lang['datetime']['2002'], $lang['datetime']['2003'], $lang['datetime']['2004'],
	$lang['datetime']['2005'], $lang['datetime']['2006'], $lang['datetime']['2007'], $lang['datetime']['2008'], $lang['datetime']['2009'],
	$lang['datetime']['2010']
);

$year_fields = array(
	'1995', '1996', '1997', '1998', '1999', '2000', '2001', '2002', '2003', '2004', '2005', '2006', '2007', '2008', '2009', '2010'
);

$hour_fields_text = array(
	$lang['datetime']['01'], $lang['datetime']['02'], $lang['datetime']['03'], $lang['datetime']['04'], $lang['datetime']['05'],
	$lang['datetime']['06'], $lang['datetime']['07'], $lang['datetime']['08'], $lang['datetime']['09'], $lang['datetime']['10'],
	$lang['datetime']['11'], $lang['datetime']['12']
);

$hour_fields = array(
	'01', '02', '03', '04', '05', '06', '07', '08', '09', '10', '11', '12'
);

$minute_fields_text = array(
	$lang['datetime']['00'], $lang['datetime']['01'], $lang['datetime']['02'], $lang['datetime']['03'], $lang['datetime']['04'],
	$lang['datetime']['05'], $lang['datetime']['06'], $lang['datetime']['07'], $lang['datetime']['08'], $lang['datetime']['09'],
	$lang['datetime']['10'], $lang['datetime']['11'], $lang['datetime']['12'], $lang['datetime']['13'], $lang['datetime']['14'],
	$lang['datetime']['15'], $lang['datetime']['16'], $lang['datetime']['17'], $lang['datetime']['18'], $lang['datetime']['19'],
	$lang['datetime']['20'], $lang['datetime']['21'], $lang['datetime']['22'], $lang['datetime']['23'], $lang['datetime']['24'],
	$lang['datetime']['25'], $lang['datetime']['26'], $lang['datetime']['27'], $lang['datetime']['28'], $lang['datetime']['29'],
	$lang['datetime']['30'], $lang['datetime']['31'], $lang['datetime']['32'], $lang['datetime']['33'], $lang['datetime']['34'],
	$lang['datetime']['35'], $lang['datetime']['36'], $lang['datetime']['37'], $lang['datetime']['38'], $lang['datetime']['39'],
	$lang['datetime']['40'], $lang['datetime']['41'], $lang['datetime']['42'], $lang['datetime']['43'], $lang['datetime']['44'],
	$lang['datetime']['45'], $lang['datetime']['46'], $lang['datetime']['47'], $lang['datetime']['48'], $lang['datetime']['49'],
	$lang['datetime']['50'], $lang['datetime']['51'], $lang['datetime']['52'], $lang['datetime']['53'], $lang['datetime']['54'],
	$lang['datetime']['55'], $lang['datetime']['56'], $lang['datetime']['57'], $lang['datetime']['58'], $lang['datetime']['59']
);

$minute_fields = array(
	'00', '01', '02', '03', '04', '05', '06', '07', '08', '09', '10', '11', '12', '13', '14', '15', '16', '17', '18', '19',
	'20', '21', '22', '23', '24', '25', '26', '27', '28', '29', '30', '31', '32', '33', '34', '35', '36', '37', '38', '39',
	'40', '41', '42', '43', '44', '45', '46', '47', '48', '49', '50', '51', '52', '53', '54', '55', '56', '57', '58', '59'
);

$ampm_fields_text = array(
	$lang['datetime']['am'], $lang['datetime']['pm']
);

$ampm_fields = array(
	'am', 'pm'
);

if ( count($month_fields_text) > 0 )
{
	$select_month_field = '<select name="edit_month">';

	for($i = 0; $i < count($month_fields_text); $i++)
	{
		$selected = ($month_field == $month_fields[$i]) ? ' selected="selected"' : '';
		$select_month_field .= '<option value="' . $month_fields[$i] . '"' . $selected . '>' . $month_fields_text[$i] . '</option>';
	}
	$select_month_field .= '</select>';
}

if ( count($day_fields_text) > 0 )
{
	$select_day_field = '<select name="edit_day">';

	for($i = 0; $i < count($day_fields_text); $i++)
	{
		$selected = ($day_field == $day_fields[$i]) ? ' selected="selected"' : '';
		$select_day_field .= '<option value="' . $day_fields[$i] . '"' . $selected . '>' . $day_fields_text[$i] . '</option>';
	}
	$select_day_field .= '</select>';
}

if ( count($year_fields_text) > 0 )
{
	$select_year_field = '<select name="edit_year">';

	for($i = 0; $i < count($year_fields_text); $i++)
	{
		$selected = ($year_field == $year_fields[$i]) ? ' selected="selected"' : '';
		$select_year_field .= '<option value="' . $year_fields[$i] . '"' . $selected . '>' . $year_fields_text[$i] . '</option>';
	}
	$select_year_field .= '</select>';
}

if ( count($hour_fields_text) > 0 )
{
	$select_hour_field = '<select name="edit_hour">';

	for($i = 0; $i < count($hour_fields_text); $i++)
	{
		$selected = ($hour_field == $hour_fields[$i]) ? ' selected="selected"' : '';
		$select_hour_field .= '<option value="' . $hour_fields[$i] . '"' . $selected . '>' . $hour_fields_text[$i] . '</option>';
	}
	$select_hour_field .= '</select>';
}

if ( count($minute_fields_text) > 0 )
{
	$select_minute_field = '<select name="edit_minute">';

	for($i = 0; $i < count($minute_fields_text); $i++)
	{
		$selected = ($minute_field == $minute_fields[$i]) ? ' selected="selected"' : '';
		$select_minute_field .= '<option value="' . $minute_fields[$i] . '"' . $selected . '>' . $minute_fields_text[$i] . '</option>';
	}
	$select_minute_field .= '</select>';
}

if ( count($ampm_fields_text) > 0 )
{
	$select_ampm_field = '<select name="edit_ampm">';

	for($i = 0; $i < count($ampm_fields_text); $i++)
	{
		$selected = ($ampm_field == $ampm_fields[$i]) ? ' selected="selected"' : '';
		$select_ampm_field .= '<option value="' . $ampm_fields[$i] . '"' . $selected . '>' . $ampm_fields_text[$i] . '</option>';
	}
	$select_ampm_field .= '</select>';
}

$template->set_filenames(array(
	'body' => 'edit_post_date_body.tpl')
);

$template->assign_vars(array(
	'L_SUBMIT' => $lang['Submit'], 
	'L_RESET' => $lang['Reset'],

	'S_MONTH_SELECT' => $select_month_field,
	'S_DAY_SELECT' => $select_day_field,
	'S_YEAR_SELECT' => $select_year_field,
	'S_HOUR_SELECT' => $select_hour_field,
	'S_MINUTE_SELECT' => $select_minute_field,
	'S_AMPM_SELECT' => $select_ampm_field,
	'POST_ID' => $p,
	'S_CONTENT_ENCODING' => $lang['ENCODING'],
	'EDIT_POST_VALID_DATE' => $valid_date,
));

$template->pparse('body');

?>