<?php
/***************************************************************************
 *				quick_reply.php
 *				-------------------
 * begin				: Tuesday, Aug 20, 2002
 * copyright			: RustyDragon 
 * original work by		: Smartor <smartor_xp@hotmail.com>
 * contact				: <dev@RustyDragon.com>, http://www.RustyDragon.com
 * modification			: (C) 2003 Przemo http://www.przemo.org
 * date modification	: ver. 1.8 2004/04/15 21:00
 *
 * $Id: quick_reply.php,v 1.4.1.1 2002/11/18 13:35:54 RustyDragon Exp $
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 ***************************************************************************/

// BEGIN OUTPUT
$phpbb_root_path = "./";

if ( $HTTP_GET_VARS['mode'] == 'smilies' )
{
	define('IN_PHPBB', true);
	include($phpbb_root_path . 'extension.inc');
	include($phpbb_root_path . 'common.'.$phpEx);
	include($phpbb_root_path . 'includes/functions_post.'.$phpEx);
	generate_smilies('window', PAGE_POSTING);
	exit;
}

if ( !defined('IN_PHPBB') )
{
	die('Hacking attempt1');
}

$template->set_filenames(array(
	'quick_reply_output' => 'quick_reply.tpl')
);

$lock = ( isset($HTTP_POST_VARS['lock']) ) ? TRUE : FALSE;
$unlock = ( isset($HTTP_POST_VARS['unlock']) ) ? TRUE : FALSE;

if ( !(((!$is_auth['auth_reply']) or
($forum_topic_data['forum_status'] == FORUM_LOCKED) or
($forum_topic_data['topic_status'] == TOPIC_LOCKED)) and ($userdata['user_level'] != ADMIN)))
{
	$bbcode_uid = $postrow[$total_posts - 1]['bbcode_uid'];
	$last_poster = $postrow[$total_posts - 1]['username'];
	$attach_sig = (( $userdata['session_logged_in'] ) ? $userdata['user_attachsig'] : 0)?"checked='checked'":'';
	$notify_user = (( $userdata['session_logged_in'] ) ? $userdata['user_notify'] : 0)?"checked='checked'":'';

	$template->assign_block_vars('quick_reply', array(
		'POST_ACTION' => append_sid("posting.$phpEx"),
		'TOPIC_ID' => $topic_id)
	);

	if ( $userdata['session_logged_in'] )
	{
		$template->assign_block_vars('quick_reply.user_logged_in', array(
			'ATTACH_SIGNATURE' => $attach_sig,
			'NOTIFY_ON_REPLY' => $notify_user)
		);
	}
	else
	{
		$template->assign_block_vars('quick_reply.user_logged_out', array());
	}

	if ( $board_config['allow_bbcode'] == 1 )
	{
		$quote_box = "<input type=\"button\" name=\"quoteselected\" class=\"button\" value=\"$lang[QuoteSelelected]\" onclick=\"javascript:quoteSelection()\">";
		$last_box = "<input type=\"checkbox\" name=\"quick_quote\">$lang[Quick_quote]<br>";
	}

	generate_smilies_row($board_config['max_smilies']);

	if ( $is_auth['auth_mod'] )
	{
		if ( $forum_topic_data['topic_status'] == TOPIC_LOCKED )
		{
			$template->assign_block_vars('quick_reply.switch_unlock_topic', array());
			$template->assign_vars(array(
				'L_UNLOCK_TOPIC' => $lang['Unlock_topic'])
			);
		}
		else
		{
			$template->assign_block_vars('quick_reply.switch_lock_topic', array());
			$template->assign_vars(array(
				'L_LOCK_TOPIC' => $lang['Lock_topic'])
			);
		}
	}
	if ( $board_config['expire'] )
	{
		$expire_box = ' <span class="gensmall">' . $lang['post_expire_q'] . ' <select class="post" name="msg_expire"><option value="0" class="genmed">0</option><option value="1" class="genmed">1</option><option value="2" class="genmed"' . $board_config['expire_value'] . '>2</option><option value="3" class="genmed">3</option><option value="4" class="genmed">4</option><option value="5" class="genmed">5</option><option value="6" class="genmed">6</option><option value="7" class="genmed">7</option><option value="14" class="genmed">14</option><option value="30" class="genmed">30</option><option value="90" class="genmed">90</option></select> ' . $lang['Days'] . '</span>';
	}

	$template->assign_vars(array(
		'U_MORE_SMILIES' => append_sid("quick_reply.$phpEx?mode=smilies"),
		'L_USERNAME' => $lang['Username'],
		'L_PREVIEW' => $lang['Preview'],
		'L_OPTIONS' => $lang['Options'],
		'L_SUBMIT' => $lang['Submit'],
		'L_CANCEL' => $lang['Cancel'],
		'L_ATTACH_SIGNATURE' => $lang['Attach_signature'],
		'L_NOTIFY_ON_REPLY' => $lang['Notify'],
		'L_NOTIFY_ON_REPLY' => $lang['Notify'],
		'L_ATTACH_SIGNATURE' => $lang['Attach_signature'],
		'L_ALL_SMILIES' => $lang['Quick_Reply_smilies'],
		'L_EMPTY_MESSAGE' => $lang['Empty_message'],
		'L_QUICK_REPLY' => $lang['Quick_Reply'],
		'L_PREVIEW' => $lang['Preview'],
		'L_SUBMIT' => $lang['Submit'],
		'QUOTE_BOX' => $quote_box,
		'EXPIRE_BOX' => $expire_box,
		'LAST_BOX' => $last_box)
	);
}
$template->assign_var_from_handle('QUICKREPLY_OUTPUT', 'quick_reply_output');

function generate_smilies_row($max_smilies)
{
	global $db, $board_config, $template;
	$max_smilies = ($board_config['max_smilies']) ? $board_config['max_smilies'] : 0;
	switch ( SQL_LAYER )
	{
		case 'mssql':
			$sql = 'SELECT TOP ' . $max_smilies . ' min(emoticon) AS emoticon,
			min(code) AS code, smile_url
			FROM ' . SMILIES_TABLE . '
			GROUP BY [smile_url]';
		break;

		default:
			$sql = 'SELECT emoticon, code, smile_url
			FROM ' . SMILIES_TABLE . '
			GROUP BY smile_url
			ORDER BY smilies_id LIMIT ' . $max_smilies;
		break;
	}
	if (!$result = $db->sql_query($sql))
	{
		message_die(GENERAL_ERROR, "Couldn't retrieve smilies list", '', __LINE__, __FILE__, $sql);
	}
	$smilies_count = $db->sql_numrows($result);
	$smilies_data = $db->sql_fetchrowset($result);
	for ($i = 0; $i < $smilies_count; $i++)
	{
			$template->assign_block_vars('quick_reply.smilies', array(
				'CODE' => $smilies_data[$i]['code'],
				'URL' => $board_config['smilies_path'] . '/' . $smilies_data[$i]['smile_url'],
				'DESC' => $smilies_data[$i]['emoticon'])
			);
	}
}

?>